#!/bin/bash
#
# Script per aplicar l'skel Linkat a un usuari específic
#

USUARI=$1
HOMEUSUARI=$2
DATE=`date +"%Y-%m-%d_%H:%M:%S"`
RES=0

# Comprovant que el paràmetre de l'usuari no estigui en blanc
if [ "$USUARI" == "" ]; then
	echo "::Error:: S'ha d'especificar un usuari per aplicar l'skel"
	exit 1 
else

# Comprovant el home de l'usuari
ls -d $HOMEUSUARI > /dev/null 2>&1 
if [ ! $? -eq 0 ]; then
	echo "::Error:: L'usuari no existeix o no es troba el seu directori personal a $HOMEUSUARI"
	exit 2
fi


	cd $HOMEUSUARI > /dev/null 2>&1 
		if [ ! $? -eq 0 ]; then
			RES=3
		fi
	cd ..
	sudo mv $HOMEUSUARI $USUARI.$DATE > /dev/null 2>&1
	        if [ ! $? -eq 0 ]; then
                        RES=4
                fi
	sudo tar xvjf /usr/share/linkat/linkat-light/skel/linkat-light-skel.tar.bz2 > /dev/null 2>&1
                if [ ! $? -eq 0 ]; then
                        RES=5
                fi
        sudo mv skel $HOMEUSUARI > /dev/null 2>&1
                if [ ! $? -eq 0 ]; then
                        RES=6
                fi
        sudo chown -R $USUARI.$USUARI $HOMEUSUARI > /dev/null 2>&1
                if [ ! $? -eq 0 ]; then
                        RES=7
                fi

	if [ ! "$RES" -eq 0 ]; then
		echo "El procés ha finalitzat amb resultat $RES"
	fi

fi
